libconfig-inifiles-perl (3.000001-1) unstable; urgency=medium

  [upstream]
  * New release.

  [ Peter Pentchev ]
  * Declare compliance with Debian Policy 4.3.0 with no changes.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 13:14:40 +0200

libconfig-inifiles-perl (3.000000-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Peter Pentchev ]
  * Declare compliance with Policy 4.2.1.

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Drop get-orig-source target: Use gbp import-orig --uscan.
    + Stop resolve build-dependencies in rules file.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
    + Use short-form dh sequencer (not cdbs).
      Stop build-depend on cdbs.
  * Wrap and sort control file.
  * Stop build-depend on dh-buildinfo.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Update watch file:
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
    + Use substitution strings.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Fix avoid capitalize short description.
  * Update copyright info:
    + List issue tracker as preferred form of contact.
    + Add alternate source URLs.
    + Strip needless copyright signs.
    + Extend coverage of packaging.
    + Drop License field in header section.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Nov 2018 20:22:24 +0100

libconfig-inifiles-perl (2.98-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Peter Pentchev ]
  * Declare compliance with Policy 4.1.4 with no changes.
  * Drop trailing whitespace from old changelog entries.
  * Reflect the changes in debian/control.in.
  * Rules-Requires-Root: no
  * New upstream version:
    - reuse sessions in FETCH.  Closes: #849298
  * Use my Debian e-mail address.
  * Use the HTTPS scheme for the www.cpan.org URL.

 -- Peter Pentchev <roam@debian.org>  Mon, 14 May 2018 14:01:29 +0300

libconfig-inifiles-perl (2.94-1) unstable; urgency=medium

  * New upstream release:
    - drop the typos patch, integrated upstream
    - update the upstream repository location in the metadata file -
      moved to GitHub
  * Add myself to the list of uploaders.
  * Add a License line to the copyright file's header, too.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 30 Nov 2016 11:04:04 +0200

libconfig-inifiles-perl (2.93-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Peter Pentchev ]
  * Catch up with the renamed Lintian override for the debhelper version.
  * Switch various upstream and Debian URLs to the HTTPS scheme.
  * Use MetaCPAN as the upstream homepage, remove the references to
    SourceForge.
  * Add the typos patch to correct some errors.
  * New upstream release:
    - update the upstream copyright information

 -- Peter Pentchev <roam@ringlet.net>  Sun, 27 Nov 2016 19:39:43 +0200

libconfig-inifiles-perl (2.89-1) unstable; urgency=medium

  * Team upload

  * Add debian/upstream/metadata
  * Import upstream version 2.89 (Closes: #787079)
  * Declare compliance with Debian Policy 3.9.8
  * Mark package autopkgtest-able

 -- Florian Schlichting <fsfs@debian.org>  Tue, 03 May 2016 21:30:07 +0200

libconfig-inifiles-perl (2.88-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add a LICENSE file and section.
    + Minimum version is now perl-5.8.0.
    + Fix to properly update while using _write_config_with_a_made_fh.
    + Convert "Changes" to CPAN::Changes.
    + Add OLD-Changes.txt for the old changes' log.
    * Hopefully fix tests in perls less than 5.14.
    * Replace List::MoreUtils with List::Util-1.33-or-above.
    * Fix handle trailing comments which contain their delimiters twice.
    * Speedup.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of packaging to include current year.
  * Declare compliance with Debian Policy 3.9.6.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Override lintian regarding build-depending unversioned on debhelper.
  * Update package relations:
    + (Build-)depend on (recent perl or) recent
      libscalar-list-utils-perl (not recent liblist-moreutils-perl).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Aug 2015 14:24:30 +0200

libconfig-inifiles-perl (2.83-3) unstable; urgency=medium

  * Update copyright info:
    + Fix cover convenience code copy of Test::Run.
  * Fix build-depend explicitly on libmodule-build-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jul 2014 17:48:04 +0200

libconfig-inifiles-perl (2.83-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add a LICENSE file and section.
    + Minimum version is now perl-5.8.0.

  [ Jonas Smedegaard ]
  * Bump to standards-version 3.9.5.
  * Fix use canonical Vcs-Git URL.
  * Update copyright info:
    + Add coverage year for main upstream authors, and update verbatim
      statement.
    + Extend coverage of packaging.
  * Update watch file to also use metacpan.org URL.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 May 2014 15:27:52 +0200

libconfig-inifiles-perl (2.82-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Add the RenameSection method to rename a section.
    + Add the CopySection method to copy a section.
    + Add t/style-trailing-space.t.
    + Remove trailing space.

  [ Jonas Smedegaard ]
  * Switch to cpan.org/authors URL for watch file and get-orig-source
    target, and simplify watch file.
  * Rewrap long description at 72 chars, and strip trailing whitespace.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jul 2013 13:34:28 +0200

libconfig-inifiles-perl (2.79-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix test failures with Pod-Simple-3.28.

  [ Salvatore Bonaccorso ]
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URL.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Bump policy compliance to standards-version 3.9.4.
  * Do copyright-check by default: Backports-friendly nowadays.
    Build-depend on devscripts.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.
  * Bump dephelper compatibility level to 8.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 May 2013 16:38:47 +0200

libconfig-inifiles-perl (2.78-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Update package relations:
  * Tighten (build-)dependency on liblist-moreutils-perl: Needed since
    0.77.
    + Relax to build-depend unversioned on cdbs, and stop build-
      depending on (perl-modules with fallback on) libmodule-build-perl:
      Needed versions satisfied in stable, and oldstable no longer
      supported.
  * Update copyright file:
    + Fix use comment and license pseudo-sections to obey silly
      restrictions of copyright format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Nov 2012 16:31:37 +0100

libconfig-inifiles-perl (2.75-1) unstable; urgency=low

  * New upstream release.
    + Add utf8 encoding hint to POD file.

  * Extend/adjust copyright of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jun 2012 23:12:26 +0200

libconfig-inifiles-perl (2.73-1) unstable; urgency=low

  * New upstream release:
    - fixes a regression in the error handling on tempfile creation, as noted
      by Adam D. Barrat in #671255 (RT#77039).

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 May 2012 16:46:14 +0200

libconfig-inifiles-perl (2.72-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    SECURITY BUG FIX: Config::IniFiles used to write to a temporary filename
    with a predictable name ("${filename}-new") which opens the door for
    potential exploits. -- CVE-2012-2451, CWE-377
    Closes: #671255
  * (Build-)depend on liblist-moreutils-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 May 2012 14:42:08 +0200

libconfig-inifiles-perl (2.70-1) unstable; urgency=low

  * New upstream release.

  [ gregor herrmann ]
  * Remove debian/source/local-options; abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Bump debhelper compat level to 7.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Bump format to 1.0.
  * Update package relations:
    + Relax build-depend unversioned on debhelper: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Apr 2012 13:37:12 -0400

libconfig-inifiles-perl (2.68-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + Add test, Expat licensed.
    + Update author: Shlomi Fish.
    + Quote licenses in License comments.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jun 2011 19:01:41 +0200

libconfig-inifiles-perl (2.66-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Remove Salvatore Bonaccorso from Uploaders.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 03:34:30 +0200

libconfig-inifiles-perl (2.66-1) unstable; urgency=low

  * New upstream release.
  * Improve package relations:
    + Stop declaring packages part of core Perl even in oldstable:
      - libtest-simple-perl
  * Include CDBS class perl-build.mk (not deprecated perlmodule.mk.
    Tighten build-dependency on cdbs.
  * Build-depend on libio-stringy-perl, enabling more regression tests.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 03:29:25 +0200

libconfig-inifiles-perl (2.58-1) unstable; urgency=low

  * New upstream release.
  * Stop using svn-upgrade in watch file.
  * Use source format 3.0 (quilt), and ease building with
    git-buildpackage: Git-ignore quilt .pc dir, and add source
    local-options.
  * Drop locally included CDBS snippets, and local implementation of
    DEB_MAINTAINER_MODE, all included in main cdbs now.
  * Ease backporting to Debian stable: Relax inclusion of CDBS snippets
    required only in DEB_MAINTAINER_MODE, and suppress related build-
    dependencies.
  * Extend copyright years in rules file, and refer to FSF website (not
    postal address).
  * Rewrite copyright file using draft rev135 of DEP5 format.
  * Bump Policy compliance to standards-version 3.9.1.
  * Shorten Vcs-* stanzas.
  * Update DEB_UPSTREAM_URL, to fix get-orig-source rule.
  * Build-depend on libtest-simple-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Oct 2010 17:21:21 +0200

libconfig-inifiles-perl (2.52-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + $config->exists() now pays attention to -nocase => 1. (RT#46721)
  * Added myself to Uploaders
  * Standards-Version 3.8.3 (no changes)

  [ Salvatore Bonaccorso ]
  * New upstream release

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Jonas Smedegaard ]
  * Update CDBS snippets:
    + package-relations.mk: Cleanup unversioned+versioned dependency
      mix. Improve whitespace cleanup. Rewrite and silence applying
      dependencies.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Drop no longer needed build-dependencies on quilt and patchutils,
    and make perl build-dependency unversioned (as per Debian Policy
    3.8.3). Both these changes thanks to cdbs automatic build-dependency
    resolving (DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean).
  * Packaging moved to Git:
    + Update Vcs stanzas.
    + Add note on Git, git-buildpackage and pristine-tar to
      README.source, and drop not on Subversion.
    + Add git-buildpackage configfile, enabling signed tags and use of
      pristine-tar.
  * Update md5sum of new upstream release 2.52.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2009 15:30:34 +0200

libconfig-inifiles-perl (2.49-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add proper licensing header to rules file
    + Bump copyright years for debian/rules
  * Update CDBS snippets:
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1, and to
      support non-build dependencies
  * Auto-update debian/control to tighten debhelper dependency, thanks
    to lintian.
  * Add README.source.  Drop custom CDBS hints.
  * Build-depend on quilt and recent patchutils.

  [ Salvatore Bonaccorso ]
  * New upstream release.
  * Add Salvatore Bonaccorso to Uploaders.
  * New upstream version (Changes in upstream version 2.48) fixes
    change in tie interfaces (Closes: #529616).
  * Bump Standards-Version to 3.8.1
  * Add 1001-fix-POD-Config-IniFiles.patch to fix erroneous created
    manpage.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2009 14:54:35 +0200

libconfig-inifiles-perl (2.47-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release. Closes: bug#430426, #380280.
  * Depend on ${misc:Depends}.
  * Fix Vcs-* fields to point to refer to correct package.
  * Update CDBS snippets:
    + Update copyright-check output to more closely match proposed new
      copyright file format
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
    + Move dependency cleanup to new local snippet package-relations.mk.
  * Update debian/copyright and copyright hints:
    + Rewrite debian/copyright using new file format, version 428
    + Add info on CDBS snippets (new owners, no new licenses)
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).

  [ gregor herrmann ]
  * debian/watch: use dist-based URL.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jan 2009 22:25:26 +0100

libconfig-inifiles-perl (2.39-5) unstable; urgency=medium

  * Set urgency=medium as 2.39-5 included a FTBFS bugfix (similar to
    bug#487066).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 20:26:58 +0200

libconfig-inifiles-perl (2.39-4) unstable; urgency=low

  * Instruct dh_perl to only depend on perl-base, instead of avoiding
    its dependency-resolving altogether.
  * Update local cdbs tweaks:
    + Fix buildinfo.mk invoking dh-buildinfo only once.
    + Update copyright-check.mk to parse licensecheck output using perl:
      + No longer randomly drops newlines
      + More compact hint file (and ordered more like wiki-proposed new
        copyright syntax).
      + No longer ignore files without copyright.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Relax copyright-check to only warn by default.
    + Cosmetic updates to README.cdbs-tweaks.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jun 2008 01:34:16 +0200

libconfig-inifiles-perl (2.39-3) unstable; urgency=low

  * Pass over maintenance of the package to the Perl group: Change Maintainer,
    and add myself to Uploaders.
  * Change debian/watch to use svn-upgrade (not uupdate).
  * Move Homepage to own field (from pseudo-field in long description).
  * Add Vcs-* fields.
  * Bump up standards-version to 3.7.3 (no changes needed).
  * Bump dephelper compatibility level to 5.
  * Fix build-depends-indep -> build-depends.
  * Update local cdbs tweaks:
    + Add new snippet update-tarball, implementing get-orig-source and more.
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop auto-update.mk.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Add debian/README.cdbs-tweaks documenting local tweaks.
  * Fix double cdbs build-dependencies in debian/rules.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Feb 2008 00:57:26 +0100

libconfig-inifiles-perl (2.39-2) unstable; urgency=low

  * Strip bogus part of 2.39-1 changelog entry (due to cut'n'paste).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2006 22:08:43 +0200

libconfig-inifiles-perl (2.39-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.7.2 (no changes needed).
  * Advertise search.cpan.org as Homepage in long description.
  * Bump watch file version and use uversionmangle to chop 3-digit minor
    version into manageable pieces (not yet needed for this package, but
    popular with Perl packages).
  * Add local cdbs snippet copyright-check.mk.
  * Enable cdbs auto-update feature using local snippet auto-update.mk.
  * Move buildinfo to local cdbs snippet buildinfo.mk.
  * Drop superfluous dependency on perl-base. Closes: bug#316415 (thanks
    to Dan Jacobson <jidanni@jidanni.org>).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2006 21:43:58 +0200

libconfig-inifiles-perl (2.38-3) unstable; urgency=high

  * Change unnecessary auto-generated dependency on perl to perl-base.
    Requested by Konstantinos Margaritis <markos@debian.gr> to minimize
    dependencies for localization-config (and thus debian-installer
    netinst image).
  * Standards-Version: 3.6.1 (no changes needed).
  * Add usage note to watch file.
  * Mention "Debian GNU systems" in intro line if debian/copyright.
  * Correct location of Artistic license (to please lintian).
  * Shorten short description (all lib*-perl packages are modules...).
  * Use (and build-depend on) dh-buildinfo.
  * Set urgency=high as none of the above changes should cause any risk,
    and dropping perl dependency is important for debian-installer.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Sep 2004 21:38:04 +0200

libconfig-inifiles-perl (2.38-2) unstable; urgency=low

  * Rebuild using newer cdbs (Closes: Bug#203617 - no need to tighten
    build-dependencies, as cdbs has not yet been included in any
    official release of Debian).
  * Standards-version 3.6.0.
  * Fix watch file to not include other related modules.
  * Change to section perl.
  * Remove info in debian/copyright included in debian/changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Jul 2003 14:30:49 +0200

libconfig-inifiles-perl (2.38-1) unstable; urgency=low

  * New upstream release
  * Switch from cbs to cdbs.
  * Standards-Version 3.5.10 (no changes needed).
  * Build-depend on cdbs, tighten build-dependency on debhelper, and use
    debian/compat = 4.
  * Drop build-depending on links (upstream README is no longer html).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 May 2003 13:16:39 +0200

libconfig-inifiles-perl (2.36-1) unstable; urgency=low

  * New upstream release.
  * Remove full stop from synopsis to please lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2003 05:52:42 +0100

libconfig-inifiles-perl (2.30-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Nov 2002 04:09:22 +0100

libconfig-inifiles-perl (2.29-2) unstable; urgency=low

  * Build the package using binary-indep build-target.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 08:51:40 +0200

libconfig-inifiles-perl (2.29-1) unstable; urgency=low

  * New upstream release.
  * Change source URL to use cpan.org.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2002 21:07:33 +0200

libconfig-inifiles-perl (2.27-1) unstable; urgency=low

  * New upstream release.
  * Friendly takeover (Thanks, Piotr!): Change Maintainer field.
  * Repackaged using dh-make-perl.
  * Upstream readme is html now (strange!). Convert using links.
  * Rewrite copyright.
  * Run tests as part of the compile.
  * Remove execute rights to the perl module (shouldn't dh_fixperms take
    care of that?).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Mar 2002 19:33:34 +0100

libconfig-inifiles-perl (2.21-1) unstable; urgency=low

  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 17 Oct 2001 14:32:46 +0200

libconfig-inifiles-perl (2.19-2) unstable; urgency=low

  * Build-Depends-Indep in debian/control

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 17 Oct 2001 14:30:14 +0200

libconfig-inifiles-perl (2.19-1) unstable; urgency=low

  * New upstream release
  * woody release

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Jul 2001 13:26:36 +0200

libconfig-inifiles-perl (2.14-1) unstable; urgency=low

  * Initial release.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Jan 2001 10:18:12 +0100
